+2004-01-31 Alexandre Duret-Lutz <adl@gnu.org>
+
+ * m4/regex.m4: Do not AC_SUBST(LIBOBJS), and quote most arguments.
+ * tests/regex.test: New file.
+ * tests/Makefile.am (TESTS): Add regex.test.
+
2004-01-28 Alexandre Duret-Lutz <adl@gnu.org>
* Makefile.am (maintainer-check): Check for unquoted $(DESTDIR) uses.
## Check if --with-regex was given. ##
## --------------------------------- ##
-# Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003
+# Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003, 2004
# Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
-# serial 5
+# serial 6
# AM_WITH_REGEX
# -------------
[AC_PREREQ(2.50)dnl
AC_LIBSOURCES([rx.h, rx.c, regex.c, regex.h])dnl
AC_MSG_CHECKING([which of GNU rx or gawk's regex is wanted])
-AC_ARG_WITH(regex,
+AC_ARG_WITH([regex],
[ --without-regex use GNU rx in lieu of gawk's regex for matching],
[test "$withval" = yes && am_with_regex=1],
[am_with_regex=1])
if test -n "$am_with_regex"; then
- AC_MSG_RESULT(regex)
- AC_DEFINE(WITH_REGEX, 1, [Define if using GNU regex])
- AC_CACHE_CHECK([for GNU regex in libc], am_cv_gnu_regex,
+ AC_MSG_RESULT([regex])
+ AC_DEFINE([WITH_REGEX], 1, [Define if using GNU regex])
+ AC_CACHE_CHECK([for GNU regex in libc], [am_cv_gnu_regex],
[AC_TRY_LINK([],
[extern int re_max_failures; re_max_failures = 1],
[am_cv_gnu_regex=yes],
AC_LIBOBJ([regex])
fi
else
- AC_MSG_RESULT(rx)
- AC_CHECK_FUNC(re_rx_search, , [AC_LIBOBJ([rx])])
-fi
-AC_SUBST(LIBOBJS)dnl
+ AC_MSG_RESULT([rx])
+ AC_CHECK_FUNC([re_rx_search], , [AC_LIBOBJ([rx])])
+fi[]dnl
])
AU_DEFUN([fp_WITH_REGEX], [AM_WITH_REGEX])
--- /dev/null
+#! /bin/sh
+# Copyright (C) 2004 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure AM_WITH_REGEX compiles and runs.
+
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AM_WITH_REGEX
+END
+
+$ACLOCAL
+$AUTOCONF
+./configure
+./configure --without-regex